---
title: 创建连接池
weight: 4
type : docs
bookFlatSection : false
---
### 如何新增数据源
- 在开发模式下，点击“开发管理”->数据源->新增
<img src="https://images.gitee.com/uploads/images/2022/0803/094505_ba96976e_5500438.png"  height="300px">

- 配置连接池参数，注意数据库填写是备注中有写的名称
<img src="https://images.gitee.com/uploads/images/2022/0803/094624_fa85413e_5500438.png"  height="300px">

- 你可以通过新建一个数据集来测试连接池的连通性
- 点击“保存” 后，回到数据集列表 点击如下图标"E"，进入数据集开发界面
<img src="https://images.gitee.com/uploads/images/2021/1218/140717_d1eabbf2_5500438.png"  height="300px">

- 在开发界面调试
<img src="https://images.gitee.com/uploads/images/2022/0803/094824_d2c29e65_5500438.png"  height="100px">

### 安全控制
你可以在“参数”中设定安全控制，可避免用户误操作导致前后端卡死
![输入图片说明](https://images.gitee.com/uploads/images/2022/0803/095040_d871bc43_5500438.png "屏幕截图.png")
limit: 可限定最大返回数据数量(但实际数据库查询无limit,需通过mode控制)
mode: 控制用户查询行为，默认为模式1
| 模式 | 说明 |
| :-----| :----: |
| 0 | 严格模式，每次查询向数据库都会增加limit，MPP类型数据库可能会排序失效 | 
| 1 | 开发模式，仅调试查询数据库都会增加limit，调试时MPP类型数据库可能会排序失效，但不影响实际 | 
| 2 | 宽松模式，查询都不带limit, 仅控制返回limit,需开发者避免大查询 |

### 支持的数据源：

| 数据库 | 驱动填写 | 需安装 | 使用说明 |
| :-----| :----: | :----: | :----: |
| Mysql | mysql | 默认支持 |  |
| Mysql连接池 | mysqlpool | |  |
| Sqlite | sqlite |默认支持 | 连接地址填写绝对路径 |
| API |任意|默认支持 | 参考数据集说明文档 |
| EXCEL | 任意|默认支持 | 参考数据集说明文档 |
| SQL Server|mssql | 需安装 pip install pymssql |  |
| SQL Server连接池|mssqlpool |  |  |
| ORACLE |oracle| pip install cx_Oracle |  |
| ORACLE连接池 |oraclepool|  |  |
| PostgreSql |gp| pip install psycopg2 |  |
| GP |gp| pip install psycopg2 |  |
| Impala |impala| pip install impyla |  |
| Hive |hive| pip install impyla |  |
| DB2 |db2| pip install ibm_db |  |
| 达梦 |dm| pip install dmPython |  |
| Python |python| pip install pandas, openpyxl | 参考数据集->特殊数据源 |
| Redis |redis| pip install redis | 参考数据集->特殊数据源 |
| Mongodb |mongodb| pip install pymongo | 参考数据集->特殊数据源 |
| Clickhouse |clickhouse| pip install clickhouse_driver |  |
| Elasticsearch |es| pip install elasticsearch==7.13.0 | 参考数据集->特殊数据源 |
| Sqlalchemy |sqlalchemy| pip install sqlalchemy | 参考数据集->特殊数据源 |
| JDBC |jdbc| pip install JayDeBeApi | 参考数据集->特殊数据源 |
| 自定义 |自定义| 用户自由定义 | 参考数据集->特殊数据源 |

