---
weight: 1
type : docs
bookFlatSection : false
---

### 涉及的基础环境和版本：
```
* Centos 7
* Python 3.9
/data/smartchart/   项目主目录
/data/smartchart/tools  项目相关软件
下述内容中，凡是涉及到/data/smartchart路径的，都可以将其修改为你自己系统上的路径。
```

### 安装环境

#### 安装Python
```
cd /data/smartchart/tools
yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel
下载https://npm.taobao.org/mirrors/python/3.9.0/
上传服务器，放入安装目录解压 或者
Wget https://npm.taobao.org/mirrors/python/3.9.0/Python-3.9.0.tgz
tar -zxvf Python-3.9.0.tgz

进行源码目录
配置安装路径
./Python-3.9.0/configure --prefix=/data/smartchart/tools/python3
编译安装
make && make install
建立软链接
ln -s /data/smartchart/tools/python3/bin/python3.9 /usr/bin/python3
ln -s /data/smartchart/tools/python3/bin/pip3.9 /usr/bin/pip3
测试是否安装成功
python3  --version

```

### 建立python虚拟环境
```
python3 -m venv myvenv
cd myvenv
source bin/activate

```
### 在虚拟环境中安装smartchart
```
pip3 install -i https://pypi.tuna.tsinghua.edu.cn/simple smartchart -U

```

### 启动smartchart(测试部署), 企业部署方式可有尝咨询
```
smartchart runserver 0.0.0.0:8000 --insecure --noreload
```