---
weight: 5
type : docs
bookFlatSection : false
---

### 应用场景
- 收集用户端录入的数据
- 前端处理好的数据回写到任意系统
- 制做问卷系统
- 埋点应用

### 使用方法
- 新建数据集设定,格式如下:
```
只用指定表名
dataset={
    "table":"表名"
}
你也可以指定字段, 比如
dataset={
    "table":"表名(字段1, 字段2)"
}

```
- 在"容器"管理, 取消这个数据集激活, 并记录下来此数据集的ID, 比如132
![输入图片说明](https://images.gitee.com/uploads/images/2022/0402/204327_974ae584_5500438.png "屏幕截图.png")

- 在"模板"中编写录入组件代码, [具体可参考视屏](https://www.ixigua.com/7081979465198207500)
```
    <h1 class="smtdrag" id="id_1648895680659">数据填报</h1>
    
    <div class="smtdrag" id="id_1648895855760">
        <label>用户</label><input id="id_visitor">
    </div>
    <div class="smtdrag" id="id_1648895859160">
        <label>动作</label><input id="id_action">
    </div>
    <div class="smtdrag" id="id_1648895956207">
        <button id="idbtn01">提交</button>
    </div>

```
![输入图片说明](https://images.gitee.com/uploads/images/2022/0402/211149_67f80d32_5500438.png "屏幕截图.png")
- 在"模板" 中编写JS代码
```
   $('#idbtn01').click(function(){
       let visitor = $('#id_visitor').val();
       let action = $('#id_action').val();
       let dataset = [visitor, action];
       print(ds_save(132, dataset));  //132数据集ID, dataset要写入的数据
   })

```

#### 更多关于写入数据库的数据集格式说明
```
只写入一行数据, 样列如下:
dataset = ['a','b']
同时写入多行数据:
dataset = [[], ['a1','b1'],['a2', 'b2]]
如果需要自动记录写入者用户名:
dataset = ['$username', 'b']

```
mongodb写入方式
```
ds_save(419, {"h1":123, "h2":"bb"});
ds_save(419, [[],{"h1":123, "h2":"aa"},{"h1":1234, "h2":"dd"}]);
```
